org.jfree.util

## Class AttributedStringUtilities

- java.lang.Object
- - org.jfree.util.AttributedStringUtilities

-     public class AttributedStringUtilities
      extends java.lang.Object

  Some utility methods for working with `AttributedString` objects.
  Author:
    David Gilbert

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `equal(java.text.AttributedString s1, java.text.AttributedString s2)` Tests two attributed strings for equality.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### equal

          public static boolean equal(java.text.AttributedString s1,
                      java.text.AttributedString s2)

      Tests two attributed strings for equality.
      Parameters:
        `s1` - string 1 (`null` permitted).
        `s2` - string 2 (`null` permitted).
      Returns:
        `true` if `s1` and `s2` are equal or both `null`, and `false` otherwise.